Page MenuHomePhabricator

Post-creation work for kcgwiki
Open, Needs TriagePublic

Description

Event Timeline

Change 776268 had a related patch set uploaded (by Gerrit maintenance bot; author: Gerrit maintenance bot):

[mediawiki/services/cxserver@master] Add kcg to languages

https://gerrit.wikimedia.org/r/776268

Change 776269 had a related patch set uploaded (by Gerrit maintenance bot; author: Gerrit maintenance bot):

[analytics/refinery@master] Add kcg.wikipedia to pageview whitelist

https://gerrit.wikimedia.org/r/776269

Change 776268 merged by jenkins-bot:

[mediawiki/services/cxserver@master] Add kcg to languages

https://gerrit.wikimedia.org/r/776268

Zabe changed the edit policy from "Custom Policy" to "All Users".Apr 3 2022, 1:35 AM

Change 776269 merged by Joal:

[analytics/refinery@master] Add kcg.wikipedia to pageview whitelist

https://gerrit.wikimedia.org/r/776269

Change 777694 had a related patch set uploaded (by KartikMistry; author: KartikMistry):

[operations/deployment-charts@master] Update cxserver to 2022-04-05-070409-production

https://gerrit.wikimedia.org/r/777694

Change 777694 merged by jenkins-bot:

[operations/deployment-charts@master] Update cxserver to 2022-04-06-080942-production

https://gerrit.wikimedia.org/r/777694

Change 792219 had a related patch set uploaded (by Zabe; author: Zabe):

[mediawiki/services/restbase/deploy@master] Add kcgwiki to RESTBase

https://gerrit.wikimedia.org/r/792219

Dzahn added a subscriber: Dzahn.

Fixing ticket relationships. "post creation" is by definition post, after the wiki was created. So that's a subtask, not a parent task.

Just FYI, the interlanguage prefix "kcg:" doesn't yet work (tested at the Meta-Wiki and the English Wikipedia). I can't remember which change enables this, but interlangs usually work by the time content importing is complete (at which point I announce the wiki creation at m:Wikimedia_News). I'm posting this in case something has been overlooked; if that's not the case, then just ignore this comment.

Just FYI, the interlanguage prefix "kcg:" doesn't yet work (tested at the Meta-Wiki and the English Wikipedia). I can't remember which change enables this, but interlangs usually work by the time content importing is complete (at which point I announce the wiki creation at m:Wikimedia_News). I'm posting this in case something has been overlooked; if that's not the case, then just ignore this comment.

Actually, no, it takes a few... days until the interlanguage links begin to work properly. The thing that makes it work is probably the deployment of the Wikidata configuration, which has to be done manually. Every time a wiki is created I wonder whether it's possible to make it actually work immediately, without having to wait for a few days. Does anyone know?

(I have the same question about Visual Editor.)

Change 792219 merged by Hnowlan:

[mediawiki/services/restbase/deploy@master] Add kcgwiki to RESTBase

https://gerrit.wikimedia.org/r/792219

Mentioned in SAL (#wikimedia-operations) [2022-05-17T12:19:58Z] <hnowlan@deploy1002> Started deploy [restbase/deploy@6e39559]: Add kcgwiki - T305281

Mentioned in SAL (#wikimedia-operations) [2022-05-17T14:19:31Z] <hnowlan@deploy1002> Finished deploy [restbase/deploy@6e39559]: Add kcgwiki - T305281 (duration: 119m 34s)

Just FYI, the interlanguage prefix "kcg:" doesn't yet work (tested at the Meta-Wiki and the English Wikipedia). I can't remember which change enables this, but interlangs usually work by the time content importing is complete (at which point I announce the wiki creation at m:Wikimedia_News). I'm posting this in case something has been overlooked; if that's not the case, then just ignore this comment.

Actually, no, it takes a few... days until the interlanguage links begin to work properly. [...]

I think there are two different things getting mixed together here. It's indeed not immediately possible to link new wiki pages with Wikidata (for the reason @Amire80 summarized). However, syntax like [[kcg:foo]] should work (almost) immediately after wiki creation – if it doesn't, it usually signals a bug or a human error. So, @Dcljr, thanks for bringing that up!

I can confirm that this feature was indeed not working. In this case, this happened because I forgot to update the list of languages to include kcg during the wiki creation time. I just fixed that issue and [[kcg:foo]] kind of links now appear to work. @Dcljr, can you check and let me know if it works on your end as well?

@Dcljr, can you check and let me know if it works on your end as well?

Yes, now working. Thanks.

Mentioned in SAL (#wikimedia-operations) [2022-05-20T17:55:55Z] <mutante> [mwmaint1002:~] $ sudo mwscript initSiteStats.php --wiki=kcgwiki --update (to update statistics for latest wikipedia kcg) T305281